summaryrefslogtreecommitdiffstats
path: root/source/ap/ispell/ispell.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ispell/ispell.SlackBuild')
-rwxr-xr-xsource/ap/ispell/ispell.SlackBuild30
1 files changed, 20 insertions, 10 deletions
diff --git a/source/ap/ispell/ispell.SlackBuild b/source/ap/ispell/ispell.SlackBuild
index 44370a94a..ae358d02f 100755
--- a/source/ap/ispell/ispell.SlackBuild
+++ b/source/ap/ispell/ispell.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2002-2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2002-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,21 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=3.2.06
-BUILD=${BUILD:-1}
+PKGNAM=ispell
+VERSION=3.4.00
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-ispell
@@ -49,7 +58,7 @@ mkdir -p $PKG $PKG
cd $TMP
rm -rf ispell-$VERSION
-tar xvf $CWD/ispell-$VERSION.tar.gz || exit 1
+tar xvf $CWD/ispell-$VERSION.tar.xz || exit 1
cd ispell-$VERSION || exit 1
chown -R root:root .
find . \
@@ -58,8 +67,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/ispell.diff.gz | patch -p1 --verbose
-sed -i -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" local.h
+zcat $CWD/local.h.linux.diff.gz | patch -p1 --verbose || exit 1
+sed -i -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" local.h.linux
+cp -a local.h.linux local.h
make || exit 1
@@ -68,7 +78,7 @@ sleep 2 # to make absolutely sure that config will have a later timestamp
sed -i -e "s#/usr#$PKG&#g" config.sh
mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX},man}
-make install
+make install || exit 1
( cd $PKG/usr/lib${LIBDIRSUFFIX}/ispell
ln -sf americanmed.hash american.hash